# docker_wordpress_scanner

This is a docker-compose ecosystem that will install a specific target wordpress version in a webserver and then run wpscan against and output the vulnerabilities. It is meant to be used as a quick way to scan a target wordpress version from its base
### Pre-requisites:
Signup for an account with a free API key at [https://wpscan.com/](wpscan). They give you 25 api calls per day. If you need more API calls then you can upgrade your account plan. See their pricing page for more info.

### Usage:
Create a .env file with the following envar
```
WPSCANDB_API_TOKEN=
```

this token is used for wpscan db api calls. To use the container:

```
# BUILD IT
docker build -t wp_checker .

# PLUGIN
docker run --env-file .env wp_checker --plugin jetpack

# THEME
docker run --env-file .env wp_checker --theme zerif-lite

# VERSION - Example checks version 4.9.4
docker run --env-file .env wp_checker --all 494 
```
